Skip to main content
GET
/
api
/
v1
/
platform
/
tenants
/
{tenant_id}
/
api-keys
Tenant API anahtarlarını listele
curl --request GET \
  --url https://identity-sandbox.payven.com.tr/api/v1/platform/tenants/{tenant_id}/api-keys \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "keycloak_client_id": "<string>",
      "display_name": "<string>",
      "contact_email": "<string>",
      "merchant_id": "<string>",
      "plan_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "plan_code": "<string>",
      "plan_name": "<string>",
      "daily_limit_override": 123,
      "monthly_limit_override": 123,
      "rate_limit_override": 123,
      "effective_daily_limit": 123,
      "effective_monthly_limit": 123,
      "effective_rate_limit": 123,
      "allowed_ips": "<string>",
      "expires_at": "2023-11-07T05:31:56Z",
      "is_active": true,
      "created": "2023-11-07T05:31:56Z"
    }
  ],
  "page": 123,
  "total_pages": 123,
  "total_count": 123,
  "has_previous_page": true,
  "has_next_page": true
}

Authorizations

Authorization
string
header
required

Identity servisinden alinan Keycloak JWT. Format: Authorization: Bearer <token>. Token alma: POST /api/v1/auth/{slug}/token

Path Parameters

tenant_id
string<uuid>
required

Query Parameters

page
integer<int32>
default:1
page_size
integer<int32>
default:20
search_term
string
include_inactive
boolean
default:false

Response

OK

items
object[] | null
page
integer<int32>
total_pages
integer<int32>
read-only
total_count
integer<int32>
has_previous_page
boolean
read-only
has_next_page
boolean
read-only